Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgDB::Input Class Reference

Class for managing the reading of ASCII .osg files. More...

Inheritance diagram for osgDB::Input:

[legend]
List of all members.

## Public Member Functions
| Input ()
virtual | ~Input ()
void | setOptions (const ReaderWriter::Options *options)
const ReaderWriter::Options * | getOptions () const
virtual osg::Object * | readObjectOfType (const osg::Object &compObj)
virtual osg::Object * | readObjectOfType (const basic_type_wrapper &btw)
virtual osg::Object * | readObject ()
virtual osg::Image * | readImage ()
virtual osg::Drawable * | readDrawable ()
virtual osg::StateAttribute * | readStateAttribute ()
virtual osg::Uniform * | readUniform ()
virtual osg::Node * | readNode ()
virtual osg::Object * | readObject (const std::string &fileName)
virtual osg::Image * | readImage (const std::string &fileName)
virtual osg::Node * | readNode (const std::string &fileName)
virtual osg::Object * | getObjectForUniqueID (const std::string &uniqueID)
virtual void | regisiterUniqueIDForObject (const std::string &uniqueID, osg::Object *obj)

## Detailed Description

Class for managing the reading of ASCII .osg files.

## Constructor & Destructor Documentation

osgDB::Input::Input | ( |  | ) |

virtual osgDB::Input::~Input | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual osg::Object* osgDB::Input::getObjectForUniqueID | ( | const std::string & | uniqueID | ) | `[virtual]`

const ReaderWriter::Options* osgDB::Input::getOptions | ( |  | ) | const`[inline]`

virtual osg::Drawable* osgDB::Input::readDrawable | ( |  | ) | `[virtual]`

virtual osg::Image* osgDB::Input::readImage | ( | const std::string & | fileName | ) | `[virtual]`

virtual osg::Image* osgDB::Input::readImage | ( |  | ) | `[virtual]`

virtual osg::Node* osgDB::Input::readNode | ( | const std::string & | fileName | ) | `[virtual]`

virtual osg::Node* osgDB::Input::readNode | ( |  | ) | `[virtual]`

virtual osg::Object* osgDB::Input::readObject | ( | const std::string & | fileName | ) | `[virtual]`

virtual osg::Object* osgDB::Input::readObject | ( |  | ) | `[virtual]`

virtual osg::Object* osgDB::Input::readObjectOfType | ( | const basic_type_wrapper & | btw | ) | `[virtual]`

virtual osg::Object* osgDB::Input::readObjectOfType | ( | const osg::Object & | compObj | ) | `[virtual]`

virtual osg::StateAttribute* osgDB::Input::readStateAttribute | ( |  | ) | `[virtual]`

virtual osg::Uniform* osgDB::Input::readUniform | ( |  | ) | `[virtual]`

virtual void osgDB::Input::regisiterUniqueIDForObject | ( | const std::string & | uniqueID,
|  | osg::Object * | obj
| ) | `[virtual]`

void osgDB::Input::setOptions | ( | const ReaderWriter::Options * | options | ) | `[inline]`

The documentation for this class was generated from the following file:

- Input